Package org.eclipse.m2m.atl.emftvm.util

# Class WorkspaceUtilImpl

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.WorkspaceUtilImpl

All Implemented Interfaces:
  `WorkspaceUtil`

public class WorkspaceUtilImpl extends Object implements WorkspaceUtil
`WorkspaceUtil` implementation class.

## Constructor Summary

Constructors
Constructor
Description
`WorkspaceUtilImpl()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getWorkspaceLocation(String path)`
Returns the workspace location (absolute path) of `path` if it is a workspace path, otherwise `null`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WorkspaceUtilImpl

public WorkspaceUtilImpl()

## Method Details

### getWorkspaceLocation

public String getWorkspaceLocation(String path)
Returns the workspace location (absolute path) of `path` if it is a workspace path, otherwise `null`.

Specified by:
  `getWorkspaceLocation` in interface `WorkspaceUtil`
Parameters:
  `path` - the workspace path
Returns:
  the workspace location (absolute path) of `path` or `null`